Skip to main content
POST

Authorizations

X-Api-Key
string
header
required

Provide your Blutext API key. Authorization: Bearer is also supported.

Body

application/json
to
string
required

Recipient phone number in E.164 format (e.g., +14155550100)

message
string
required

Text message body

send_date
string<date-time>

Optional ISO 8601 datetime to schedule sending

manual_mode
boolean
default:false

Require manual approval before sending

available_to_group
boolean
default:false

Make message visible to the API key's group

check_dnc
boolean
default:false

Check Do Not Call list before queueing

Response

Message created successfully

message_id
string<uuid>
status
enum<string>
Available options:
queued,
scheduled
to_phone_number
string
to_phone_normalized
string
recipient_country
string
recipient_timezone
string
recipient_location
string
recipient_local_time
string
timezone_offset
is_dst
boolean
scheduled_send_date
string<date-time>
within_business_hours
boolean
can_send_now
boolean
manual_mode
boolean
available_to_group
boolean
check_dnc
boolean
business_hours
string
message_length
integer
max_retries
integer
message
string

Human-readable status message added by the API